export type TestPriority = 'blocker' | 'critical' | 'normal' | 'minor' | 'trivial';
export type TestCategory = 'Smoke' | 'Regression' | 'Functional' | 'Structural';
export type AttachmentType = 'text/plain' | 'text/html' | 'text/css' | 'text/javascript' | 'image/png' | 'image/jpeg' | 'image/gif' | 'application/pdf' | 'application/json' | 'application/xml' | 'application/x-www-form-urlencoded';
export declare const DEFAULT_TAGS: {
    readonly owner: "a.marenkov";
    readonly feature: string;
    readonly layer: "UI Tests";
};
export declare function setupStandTag(): void;
export declare function setupBaseTags(displayName: string, role: string, firstLevelGroup?: string, secondLevelGroup?: string): void;
export declare function watchConsoleErrors(): void;
export declare function setupAllureLink(type: string | undefined, url: string, name: string): void;
export declare function setupAllureAttachment(name: string, type: AttachmentType, content: string): void;
export declare function tagUIComponent(component: string, priority?: TestPriority, category?: TestCategory): void;
export declare function tagStructuralTest(priority: TestPriority | undefined, component: string): void;
export declare function tagE2ETest(priority: TestPriority | undefined, component: string): void;
export declare function tagSmokeTest(component: string): void;
export declare function tagRegressionTest(component: string, priority?: TestPriority): void;
export declare function addCustomTags(tags: string[]): void;
export declare function addLabels(labels: Array<{
    name: string;
    value: string;
}>): void;
